Redmine - Defect #31496

Switch between toggle plus and minus icons for toggle multi select
2019-06-02 10:39 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed Affected version:

Description
This patch:

1. fixes the existent behaviour where the same toggle plus icon is shown regardless multi select state
2. adds the "icon icon-*" classes
Related issues:
Related to Redmine - Feature #31328: Change the "+" button in the issues filt... Closed
Related to Redmine - Patch #31433: Use "icon icon-*" classes for sort-handler... Closed

Related to Redmine - Defect #31502: Error syntax in application.css Closed

Associated revisions

Revision 18214 - 2019-06-02 10:48 - Go MAEDA
Switch between toggle plus and minus icons for toggle multi select (#31496).
Patch by Marius BALTEANU.
Revision 18224 - 2019-06-04 01:26 - Go MAEDA
Some fixes for r18214 (#31496):
® incorrect icon-toggle-plus and icon-toggle-minus background rules
* broken CSS rule in .toggle-multiselect and removes some unnecessary rules
¢ some cases where clicking on toggle-multiselect element adds the icon class to "a" element instead of "span”
L]

icon switch in workflow permissions tab

Patch by Marius BALTEANU.

History

#1 - 2019-06-02 10:44 - Go MAEDA

- Related to Feature #31328: Change the "+" button in the issues filter to a larger one added

#2 - 2019-06-02 10:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for fixing the behavior.

#3 - 2019-06-02 11:06 - Marius BALTEANU

- Related to Patch #31433: Use "icon icon-*" classes for sort-handler, collapsible fieldsets and collapsible versions added

2025-05-01

1/2




#4 - 2019-06-03 05:47 - Go MAEDA
- Related to Defect #31502: Error syntax in application.css added

#5 - 2019-06-03 08:33 - Go MAEDA

- Status changed from Closed to Resolved

An error in application.css was reported as #31502.

#6 - 2019-06-03 08:33 - Go MAEDA

- Status changed from Resolved to Reopened

#7 - 2019-06-03 08:53 - Marius BALTEANU
- File fix_toggle-multiselect.patch added

Please commit the attached fixes, the problem wasn't only the broken css rule.

#8 - 2019-06-03 18:41 - Marius BALTEANU

My last patch fixes:

- incorrect icon-toggle-plus and icon-toggle-minus background rules

- broken CSS rule in .toggle-multiselect and removes some unnecessary rules

- some cases where clicking on toggle-multiselect element adds the icon class to "a" element instead of "span”
- icon switch in workflow permissions tab.

#9 - 2019-06-04 01:28 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

Please commit the attached fixes, the problem wasn't only the broken css rule.

Committed in r18224. Thanks.

Files

0001-Icon-classes-for-toggle-select.patch 5.32 KB 2019-06-02 Marius BALTEANU
before.png 49.1 KB 2019-06-02 Marius BALTEANU
after.png 56.2 KB 2019-06-02 Marius BALTEANU
fix_toggle-multiselect.patch 3.11 KB 2019-06-03 Marius BALTEANU
